#!/usr/local/bin/perl

#
# commands.pl
#

# Commands
$CGI_TO_DAEMON = 0;
$DAEMON_TO_CGI = 1;

# CGI to Daemon subcommands
$CD_LOGIN_CMD          	    	     = 0;
$CD_ANONYMOUS_LOGIN_CMD              = 5;
$CD_VALID_USER_CMD			         = 1;
$CD_LOGOUT_CMD          	         = 2;
$CD_APPSERVER_FUNCTION_CMD           = 3;
$CD_APPSERVER_FUNCTION_NO_CALLER_CMD = 4;
$CD_GET_SYSTEMS_CMD                  = 6;
$CD_GET_PROBLEM_CODES_CMD            = 7;

# Daemon to CGI subcommands
$DC_LOGIN_RSP          		  = 0;
$DC_ANONYMOUS_LOGIN_RSP       = 5;
$DC_VALID_USER_RSP			  = 1;
$DC_LOGOUT_RSP          	  = 2;
$DC_APPSERVER_FUNCTION_RSP    = 3;
$DC_GET_SYSTEMS_RSP           = 6;
$DC_GET_PROBLEM_CODES_RSP     = 7;

####
# Other constants
####

$WA_SUCCESS                =   1;

$WA_WRONG_PASSWORD         =  -1;
$WA_INVALID_ACCESS_ID      =  -2;
$WA_ACCESS_ID_EXISTS       =  -3;
$WA_INVALID_ID             =  -4;
$WA_INVALID_EMAIL_ADDRESS  =  -5;
$WA_LOGIN_SECURITY_BREACH  =  -6;
$WA_KNOWLEDGE_RIGHT_FAILED =  -7;
$WA_UNIQUE_NAME_FAILED     =  -8;

$PROXY_SUCCESS                =  0;
$PROXY_GENERAL_FAILURE        = -1;
$PROXY_TOO_FEW_ARGS           = -2;
$PROXY_VALIDATION_ERROR       = -3;

$CREATE_RIGHT = 1;
$UPDATE_RIGHT = 2;
$VIEW_RIGHT   = 3;
$DIAG_RIGHT   = 4;
$KNOW_RIGHT   = 5;
