#!/usr/local/bin/perl


sub set_homepage_diagnose_strings {
    &LogItem("--> set_homepage_diagnose_strings()");
    $VAR{'_DIAG_HOME_HEADING'} = $_DIAG_HOME_HEADING;
    $VAR{'_HOMEPAGE_HEADING'} = $_HOMEPAGE_HEADING;
    $VAR{'_HOMEPAGE_TITLE'} = $_HOMEPAGE_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PRODUCT_NAME'} = $_PRODUCT_NAME;
    &LogItem("<-- set_homepage_diagnose_strings()");
}

sub set_diag_home_strings {
    &LogItem("--> set_diag_home_strings()");
    $VAR{'SOLVE_PROBLEM'} = $SOLVE_PROBLEM;
    $VAR{'_DIAG_HOME_HEADING'} = $_DIAG_HOME_HEADING;
    $VAR{'_DIAG_HOME_TITLE'} = $_DIAG_HOME_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    &LogItem("<-- set_diag_home_strings()");
}

sub set_diag_input_strings {
    &LogItem("--> set_diag_input_strings()");
    $VAR{'FIND_SOLUTION'} = $FIND_SOLUTION;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'SOLVE_PROBLEM'} = $SOLVE_PROBLEM;
    $VAR{'_DIAG_INPUT_INSTRUCTIONS'} = $_DIAG_INPUT_INSTRUCTIONS;
    $VAR{'_DIAG_INPUT_TITLE'} = $_DIAG_INPUT_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    &LogItem("<-- set_diag_input_strings()");
}

sub set_frameset_strings {
    &LogItem("--> set_frameset_strings()");
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'_FRAMESET_NO_FRAMES_WARNING'} = $_FRAMESET_NO_FRAMES_WARNING;
	$VAR{'_FRAMESET_NO_FRAMES_LINK'} = $_FRAMESET_NO_FRAMES_LINK;
    $VAR{'_FRAMESET_TITLE'} = $_FRAMESET_TITLE;
    &LogItem("<-- set_frameset_strings()");
}

sub set_error_strings {
    &LogItem("--> set_error_strings()");
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    &LogItem("<-- set_error_strings()");
}

sub set_entry_strings {
    &LogItem("--> set_entry_strings()");
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    &LogItem("<-- set_entry_strings()");
}

sub set_newuser_strings {
    &LogItem("--> set_newuser_strings()");
    $VAR{'EMAIL_ADDRESS'} = $EMAIL_ADDRESS;
    $VAR{'FIRST_NAME'} = $FIRST_NAME;
    $VAR{'LAST_NAME'} = $LAST_NAME;
    $VAR{'MIDDLE_NAME'} = $MIDDLE_NAME;
    $VAR{'PHONE_NUMBER'} = $PHONE_NUMBER;
    $VAR{'REGISTER'} = $REGISTER;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'USER_ID'} = $USER_ID;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_MANDATORY_CHARACTER'} = $_MANDATORY_CHARACTER;
    $VAR{'_NEWUSER_HEADING'} = $_NEWUSER_HEADING;
    $VAR{'_NEWUSER_TITLE'} = $_NEWUSER_TITLE;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_newuser_strings()");
}

sub set_reminder_strings {
    &LogItem("--> set_reminder_strings()");
    $VAR{'EMAIL_ADDRESS'} = $EMAIL_ADDRESS;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'SUBMIT_EMAIL_ADDRESS'} = $SUBMIT_EMAIL_ADDRESS;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_MANDATORY_CHARACTER'} = $_MANDATORY_CHARACTER;
    $VAR{'_REMINDER_HEADING'} = $_REMINDER_HEADING;
    $VAR{'_REMINDER_INSTRUCTIONS'} = $_REMINDER_INSTRUCTIONS;
    $VAR{'_REMINDER_TITLE'} = $_REMINDER_TITLE;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_reminder_strings()");
}

sub set_homepage_view_strings {
    &LogItem("--> set_homepage_view_strings()");
    $VAR{'DESCRIPTION'} = $DESCRIPTION;
    $VAR{'PROBLEM_ID'} = $PROBLEM_ID;
    $VAR{'STATUS'} = $STATUS;
    $VAR{'_HOMEPAGE_HEADING'} = $_HOMEPAGE_HEADING;
    $VAR{'_HOMEPAGE_TITLE'} = $_HOMEPAGE_TITLE;
    $VAR{'_HOMEPAGE_VIEW_HEADING'} = $_HOMEPAGE_VIEW_HEADING;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PRODUCT_NAME'} = $_PRODUCT_NAME;
    &LogItem("<-- set_homepage_view_strings()");
}

sub set_hypernode_entry_strings {
    &LogItem("--> set_hypernode_entry_strings()");
    $VAR{'_HYPERNODE_ENTRY_HEADING'} = $_HYPERNODE_ENTRY_HEADING;
    $VAR{'_HYPERNODE_ENTRY_INSTRUCTIONS'} = $_HYPERNODE_ENTRY_INSTRUCTIONS;
    $VAR{'_HYPERNODE_ENTRY_TITLE'} = $_HYPERNODE_ENTRY_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    &LogItem("<-- set_hypernode_entry_strings()");
}

sub set_prob_inquiry_strings {
    &LogItem("--> set_prob_inquiry_strings()");
    $VAR{'BEGIN_DATE'} = $BEGIN_DATE;
    $VAR{'END_DATE'} = $END_DATE;
    $VAR{'PROBLEM_ID'} = $PROBLEM_ID;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'SEARCH'} = $SEARCH;
    $VAR{'SEARCH_PROBLEMS'} = $SEARCH_PROBLEMS;
    $VAR{'STATUS'} = $STATUS;
    $VAR{'SYSTEM'} = $SYSTEM;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PROBLEMCODE_BOX_DEFAULT_VALUE'} = $_PROBLEMCODE_BOX_DEFAULT_VALUE;
    $VAR{'_PROB_INQUIRY_HEADING'} = $_PROB_INQUIRY_HEADING;
    $VAR{'_PROB_INQUIRY_SUBHEADING_1'} = $_PROB_INQUIRY_SUBHEADING_1;
    $VAR{'_PROB_INQUIRY_SUBHEADING_2'} = $_PROB_INQUIRY_SUBHEADING_2;
    $VAR{'_PROB_INQUIRY_SUBHEADING_3'} = $_PROB_INQUIRY_SUBHEADING_3;
    $VAR{'_PROB_INQUIRY_TITLE'} = $_PROB_INQUIRY_TITLE;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    $VAR{'_SYSTEM_BOX_DEFAULT_VALUE'} = $_SYSTEM_BOX_DEFAULT_VALUE;
    &LogItem("<-- set_prob_inquiry_strings()");
}

sub set_menu_strings {
    &LogItem("--> set_menu_strings()");
    $VAR{'MENU_OPTIONS'} = $MENU_OPTIONS;
    $VAR{'_MENU_TITLE'} = $_MENU_TITLE;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_menu_strings()");
}

sub set_submit_strings {
    &LogItem("--> set_submit_strings()");
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'SUBMIT_PROBLEM'} = $SUBMIT_PROBLEM;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_SUBMIT_HEADING'} = $_SUBMIT_HEADING;
    $VAR{'_SUBMIT_INSTRUCTIONS'} = $_SUBMIT_INSTRUCTIONS;
    $VAR{'_SUBMIT_TITLE'} = $_SUBMIT_TITLE;
    &LogItem("<-- set_submit_strings()");
}

sub set_homepage_submit_strings {
    &LogItem("--> set_homepage_submit_strings()");
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'SUBMIT_PROBLEM'} = $SUBMIT_PROBLEM;
    $VAR{'_HOMEPAGE_HEADING'} = $_HOMEPAGE_HEADING;
    $VAR{'_HOMEPAGE_TITLE'} = $_HOMEPAGE_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PRODUCT_NAME'} = $_PRODUCT_NAME;
    $VAR{'_SUBMIT_HEADING'} = $_SUBMIT_HEADING;
    $VAR{'_SUBMIT_INSTRUCTIONS'} = $_SUBMIT_INSTRUCTIONS;
    &LogItem("<-- set_homepage_submit_strings()");
}

sub set_prob_hist_strings {
    &LogItem("--> set_prob_hist_strings()");
    $VAR{'DATE'} = $DATE;
    $VAR{'DESCRIPTION'} = $DESCRIPTION;
    $VAR{'PROBLEM_ID'} = $PROBLEM_ID;
    $VAR{'TIME'} = $TIME;
    $VAR{'TYPE'} = $TYPE;
    $VAR{'VIEW_PROBLEM_HISTORY'} = $VIEW_PROBLEM_HISTORY;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PROB_HIST_HEADING'} = $_PROB_HIST_HEADING;
    $VAR{'_PROB_HIST_TITLE'} = $_PROB_HIST_TITLE;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_prob_hist_strings()");
}

sub set_prob_detail_strings {
    &LogItem("--> set_prob_detail_strings()");
    $VAR{'CLOSED'} = $CLOSED;
    $VAR{'CONTACT'} = $CONTACT;
    $VAR{'DESCRIPTION'} = $DESCRIPTION;
    $VAR{'ORGANIZATION'} = $ORGANIZATION;
    $VAR{'PROBLEM_ID'} = $PROBLEM_ID;
    $VAR{'PROBLEM_RESULT'} = $PROBLEM_RESULT;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'STATUS'} = $STATUS;
    $VAR{'SUBMITTED'} = $SUBMITTED;
    $VAR{'SYSTEM'} = $SYSTEM;
    $VAR{'VIEW_PROBLEM'} = $VIEW_PROBLEM;
    $VAR{'_MEDIAWINDOW_TAG'} = $_MEDIAWINDOW_TAG;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PROB_DETAIL_HEADING'} = $_PROB_DETAIL_HEADING;
    $VAR{'_PROB_DETAIL_TITLE'} = $_PROB_DETAIL_TITLE;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_prob_detail_strings()");
}

sub set_prob_list_strings {
    &LogItem("--> set_prob_list_strings()");
    $VAR{'DESCRIPTION'} = $DESCRIPTION;
    $VAR{'PROBLEM_ID'} = $PROBLEM_ID;
    $VAR{'STATUS'} = $STATUS;
    $VAR{'VIEW_PROBLEM'} = $VIEW_PROBLEM;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PAGE_NUMBER'} = $_PAGE_NUMBER;
    $VAR{'_PROBLEMS_MATCHED'} = $_PROBLEMS_MATCHED;
    $VAR{'_PROB_LIST_HEADING'} = $_PROB_LIST_HEADING;
    $VAR{'_PROB_LIST_INSTRUCTIONS'} = $_PROB_LIST_INSTRUCTIONS;
    $VAR{'_PROB_LIST_TITLE'} = $_PROB_LIST_TITLE;
    &LogItem("<-- set_prob_list_strings()");
}

sub set_hypernode_strings {
    &LogItem("--> set_hypernode_strings()");
    $VAR{'ACTION'} = $ACTION;
    $VAR{'QUESTION'} = $QUESTION;
    $VAR{'_HYPERNODE_HEADING_1'} = $_HYPERNODE_HEADING_1;
    $VAR{'_HYPERNODE_HEADING_2'} = $_HYPERNODE_HEADING_2;
    $VAR{'_HYPERNODE_INSTRUCTIONS'} = $_HYPERNODE_INSTRUCTIONS;
    $VAR{'_HYPERNODE_TITLE'} = $_HYPERNODE_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_MEDIAWINDOW_TAG'} = $_MEDIAWINDOW_TAG;
    $VAR{'_NODE_INFORMATION_HEADING'} = $_NODE_INFORMATION_HEADING;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_hypernode_strings()");
}

sub set_sol_list_strings {
    &LogItem("--> set_sol_list_strings()");
    $VAR{'FIND_SOLUTION'} = $FIND_SOLUTION;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'_DIAG_AIDS_MATCHED'} = $_DIAG_AIDS_MATCHED;
    $VAR{'_DIAG_INPUT_INSTRUCTIONS'} = $_DIAG_INPUT_INSTRUCTIONS;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PAGE_NUMBER'} = $_PAGE_NUMBER;
    $VAR{'_SOLUTION_LIST_INSTRUCTIONS'} = $_SOLUTION_LIST_INSTRUCTIONS;
    $VAR{'_SOL_LIST_HEADING'} = $_SOL_LIST_HEADING;
    $VAR{'_SOL_LIST_SUBHEADING'} = $_SOL_LIST_SUBHEADING;
    $VAR{'_SOL_LIST_TITLE'} = $_SOL_LIST_TITLE;
    &LogItem("<-- set_sol_list_strings()");
}

sub set_update_strings {
    &LogItem("--> set_update_strings()");
    $VAR{'DESCRIPTION'} = $DESCRIPTION;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'UPDATE_PROBLEM'} = $UPDATE_PROBLEM;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_MANDATORY_CHARACTER'} = $_MANDATORY_CHARACTER;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    $VAR{'_UPDATE_HEADING'} = $_UPDATE_HEADING;
    $VAR{'_UPDATE_INSTRUCTIONS'} = $_UPDATE_INSTRUCTIONS;
    $VAR{'_UPDATE_SUBHEADING'} = $_UPDATE_SUBHEADING;
    $VAR{'_UPDATE_TITLE'} = $_UPDATE_TITLE;
    &LogItem("<-- set_update_strings()");
}

sub set_user_cfg_strings {
    &LogItem("--> set_user_cfg_strings()");
    $VAR{'USER_CONFIG'} = $USER_CONFIGURATION;
    $VAR{'CHANGE_PASSWORD'} = $CHANGE_PASSWORD;
    $VAR{'CONFIRM_NEW_PASSWORD'} = $CONFIRM_NEW_PASSWORD;
    $VAR{'EMAIL_ADDRESS'} = $EMAIL_ADDRESS;
    $VAR{'FIRST_NAME'} = $FIRST_NAME;
    $VAR{'LAST_NAME'} = $LAST_NAME;
    $VAR{'MIDDLE_NAME'} = $MIDDLE_NAME;
    $VAR{'NEW_PASSWORD'} = $NEW_PASSWORD;
    $VAR{'OLD_PASSWORD'} = $OLD_PASSWORD;
    $VAR{'PHONE_NUMBER'} = $PHONE_NUMBER;
    $VAR{'SAVE_CHANGES'} = $SAVE_CHANGES;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'USER_ID'} = $USER_ID;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_MANDATORY_CHARACTER'} = $_MANDATORY_CHARACTER;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    $VAR{'_USER_CFG_HEADING'} = $_USER_CFG_HEADING;
    $VAR{'_USER_CFG_INSTRUCTIONS'} = $_USER_CFG_INSTRUCTIONS;
    $VAR{'_USER_CFG_SUBHEADING_1'} = $_USER_CFG_SUBHEADING_1;
    $VAR{'_USER_CFG_SUBHEADING_2'} = $_USER_CFG_SUBHEADING_2;
    $VAR{'_USER_CFG_TITLE'} = $_USER_CFG_TITLE;
    &LogItem("<-- set_user_cfg_strings()");
}

sub set_login_strings {
    &LogItem("--> set_login_strings()");
    $VAR{'LOGIN'} = $LOGIN;
    $VAR{'PASSWORD'} = $PASSWORD;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'USER_ID'} = $USER_ID;
    $VAR{'_LOGIN_COOKIE_INFO'} = $_LOGIN_COOKIE_INFO;
    $VAR{'_LOGIN_HEADING'} = $_LOGIN_HEADING;
    $VAR{'_LOGIN_INFO'} = $_LOGIN_INFO;
    $VAR{'_LOGIN_TITLE'} = $_LOGIN_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_MANDATORY_CHARACTER'} = $_MANDATORY_CHARACTER;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_login_strings()");
}

sub set_work_hist_strings {
    &LogItem("--> set_work_hist_strings()");
    $VAR{'BEGIN_DATE'} = $BEGIN_DATE;
    $VAR{'BEGIN_TIME'} = $BEGIN_TIME;
    $VAR{'DESCRIPTION'} = $DESCRIPTION;
    $VAR{'END_DATE'} = $END_DATE;
    $VAR{'END_TIME'} = $END_TIME;
    $VAR{'PROBLEM_ID'} = $PROBLEM_ID;
    $VAR{'VIEW_WORK_HISTORY'} = $VIEW_WORK_HISTORY;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    $VAR{'_WORK_HIST_HEADING'} = $_WORK_HIST_HEADING;
    $VAR{'_WORK_HIST_TITLE'} = $_WORK_HIST_TITLE;
    &LogItem("<-- set_work_hist_strings()");
}

sub set_sol_detail_strings {
    &LogItem("--> set_sol_detail_strings()");
    $VAR{'CREATED'} = $CREATED;
    $VAR{'DESCRIPTION'} = $DESCRIPTION;
    $VAR{'SOLUTION'} = $SOLUTION;
    $VAR{'TYPE'} = $TYPE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_MEDIAWINDOW_TAG'} = $_MEDIAWINDOW_TAG;
    $VAR{'_SOL_DETAIL_HEADING'} = $_SOL_DETAIL_HEADING;
    $VAR{'_SOL_DETAIL_TITLE'} = $_SOL_DETAIL_TITLE;
    $VAR{'_STANDARD_SEPARATOR'} = $_STANDARD_SEPARATOR;
    &LogItem("<-- set_sol_detail_strings()");
}

sub set_default_strings {
    &LogItem("--> set_default_strings()");
    &LogItem("<-- set_default_strings()");
}

sub set_homepage_no_rights_strings {
    &LogItem("--> set_homepage_no_rights_strings()");
    $VAR{'_NO_RIGHTS_HOME_HEADING'} = $_NO_RIGHTS_HOME_HEADING;
    $VAR{'_NO_RIGHTS_INSTRUCTIONS'} = $_NO_RIGHTS_INSTRUCTIONS;
    $VAR{'_HOMEPAGE_HEADING'} = $_HOMEPAGE_HEADING;
    $VAR{'_HOMEPAGE_TITLE'} = $_HOMEPAGE_TITLE;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    $VAR{'_PRODUCT_NAME'} = $_PRODUCT_NAME;
    &LogItem("<-- set_homepage_no_rights_strings()");
}

sub set_logout_strings {
    &LogItem("--> set_logout_strings()");
    $VAR{'LOGOUT'} = $LOGOUT;
    $VAR{'SCRIPT_PATH'} = $SCRIPT_PATH;
    $VAR{'_LOGOUT_HEADING'} = $_LOGOUT_HEADING;
    $VAR{'_LOGOUT_INFORMATION'} = $_LOGOUT_INFORMATION;
    $VAR{'_LOGOUT_TITLE'} = $_LOGOUT_TITLE;
    $VAR{'_LOGOUT_TRAILER'} = $_LOGOUT_TRAILER;
    $VAR{'_LOGO_IMAGE_TAG'} = $_LOGO_IMAGE_TAG;
    &LogItem("<-- set_logout_strings()");
}

# Needed for reuire statement in Main

1;
